<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(__FILE__)).'/includes/404.php');
}

/**
 * View
 * 
 * Каркас для представления модуля
 */
abstract class View
{
	/**
	 * @var object основной объект системы
	 */
	protected $diafan;

	/**
	 * Конструктор класса
	 * 
	 * @return void
	 */
	public function __construct(&$diafan)
	{
		$this->diafan = &$diafan;
	}

	/**
	 * Вызывает функции шаблона
	 * 
	 * @return boolean true
	 */
	public function __call($name, $result)
	{
		if (! is_callable(array($this->diafan->_tpl, $name)))
		{
			return FALSE;
		}

		$eval = '$result = $this->diafan->_tpl->'.$name.'(';
		for ($i = 0; $i < count($result); $i++)
		{
			if ($i)
			{
				$eval .= ', ';
			}
			$eval .= '$result['.$i.']';
		}
		$eval .= ');';

		eval($eval);

		return $result;
	}
}