<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(__FILE__)).'/includes/404.php');
}

/**
 * Install
 *
 * Установка
 */

$sql = array("CREATE TABLE {adminsite} (
	id TINYINT(3) UNSIGNED NOT NULL AUTO_INCREMENT,
	parent_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
	count_children TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
	group_id ENUM( '1', '2', '3', '4' ) NOT NULL DEFAULT '1',
	name VARCHAR(100) NOT NULL DEFAULT '',
	rewrite VARCHAR(30) NOT NULL DEFAULT '',
	text text NOT NULL DEFAULT '',
	act ENUM('0', '1') NOT NULL DEFAULT '0',
	numrow INT(6) UNSIGNED NOT NULL DEFAULT '0',
	sort TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
	PRIMARY KEY  (id),
	KEY parent_id (parent_id)
) CHARSET=utf8",

"CREATE TABLE {adminsite_parents} (
	id INT( 11 ) UNSIGNED NOT NULL AUTO_INCREMENT ,
	element_id INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
	parent_id INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
	PRIMARY KEY (id)
) CHARSET=utf8",

"INSERT INTO {adminsite} (id, count_children, group_id, name, rewrite, text, act, numrow, sort) VALUES (
	1,
	1,
	'1',
	'Страницы сайта',
	'site',
	'<p>Подведите курсор мыши к пункту, чтобы увидеть функции для работы.<br />\r\n(м) означает, что пункт отображается в меню сайта.<br />\r\n<a href=\"base_path/site/config1/\">Дополнительные настройки</a>.<br />\r\n<br />\r\n<a target=\"_blank\" href=\"http://cms.diafan.ru/dokument/\">Полная документация и помощь</a>.</p>',
	'1',
	335592,
	1
);",

"INSERT INTO {adminsite} (`id`, `parent_id`, `group_id`, `name`, `rewrite`, `text`, `numrow`, `sort`) VALUES (
	2,
	1,
	'1',
	'Настройки',
	'site/config',
	'<p><a target=\"_blank\" href=\"http://cms.diafan.ru/dokument/\">Полная документация и помощь</a></p>',
	31,
	2
);",

"INSERT INTO {adminsite_parents} (`element_id`, `parent_id`) VALUES (2, 1)",

"INSERT INTO {adminsite} (id, count_children, group_id, name, rewrite, text, act, numrow, sort) VALUES (
	3,
	2,
	'1',
	'Меню на сайте',
	'menu',
	'<p><a target=\"_blank\" href=\"http://cms.diafan.ru/dokument/\">Полная документация и помощь</a></p>',
	'1',
	82,
	3
);",

"INSERT INTO {adminsite} (`id`, `parent_id`, `group_id`, `name`, `rewrite`, `text`, `act`, `numrow`, `sort`) VALUES (
	66,
	3,
	'1',
	'Меню на сайте',
	'menu',
	'<p><a href=\"http://cms.diafan.ru/dokument/\" target=\"_blank\">Полная документация и помощь</a></p>',
	'1',
	67,
	66
);",

"INSERT INTO {adminsite_parents} (`element_id`, `parent_id`) VALUES (66, 3)",

"INSERT INTO {adminsite} (`id`, `parent_id`, `group_id`, `name`, `rewrite`, `text`, `act`, `numrow`, `sort`) VALUES (
	67,
	3,
	'1',
	'Категории меню',
	'menu/category',
	'<p><a href=\"http://cms.diafan.ru/dokument/\" target=\"_blank\">Полная документация и помощь</a></p>',
	'1',
	4,
	67
);",

"INSERT INTO {adminsite_parents} (`element_id`, `parent_id`) VALUES (67, 3)",

"INSERT INTO {adminsite} (id, group_id, name, rewrite, numrow, sort) VALUES (
	4,
	'1',
	'Страницы админки',
	'adminsite',
	28911,
	4
);",

"INSERT INTO {adminsite} (id, group_id, count_children, name, rewrite, text, act, numrow, sort) VALUES (
	42,
	'3',
	2,
	'Администраторы',
	'users',
	'<p>Модуль управления пользователями, имеющими доступ к администрированию сайта.<br />\r\nТонкая настройка <a href=\"base_path/users/role/\">прав доступа</a> пользователей.</p>\r\n<p><a target=\"_blank\" href=\"http://cms.diafan.ru/dokument/\">Полная документация и помощь</a></p>',
	'1',
	455289,
	45
);",

"INSERT INTO {adminsite} (id, parent_id, group_id, name, rewrite, text, act, numrow, sort) VALUES (
	68,
	42,
	'3',
	'Администраторы',
	'users',
	'<p>Модуль управления пользователями, имеющими доступ к администрированию сайта.<br />\r\nТонкая настройка <a href=\"base_path/users/role/\">прав доступа</a> пользователей.</p>\r\n<p><a target=\"_blank\" href=\"http://cms.diafan.ru/dokument/\">Полная документация и помощь</a></p>',
	'1',
	455289,
	42
);",

"INSERT INTO {adminsite_parents} (`element_id`, `parent_id`) VALUES (68, 42)",

"INSERT INTO {adminsite} (id, parent_id, group_id, name, rewrite, text, act, numrow, sort) VALUES (
	43,
	42,
	'3',
	'Права доступа',
	'users/role',
	'<p>В этом модуле можно настроить права доступа групп <a href=\"base_path/users/\">администраторов</a> к управлению различными модулями сайта.</p>\r\n<p><a href=\"http://cms.diafan.ru/dokument/\" target=\"_blank\">Полная документация и помощь</a></p>',
	'1',
	895247,
	43
);",

"INSERT INTO {adminsite_parents} (`element_id`, `parent_id`) VALUES (43, 42)",

"INSERT INTO {adminsite} (id, group_id, name, rewrite, text, act, numrow, sort) VALUES (
	44,
	'3',
	'Параметры сайта',
	'config',
	'<p>Глобальные параметры сайта.<br />\r\nВведенные параметры сохраняются в файле /config.php.</p>\r\n<p><a target=\"_blank\" href=\"http://cms.diafan.ru/dokument/\">Полная документация и помощь</a></p>',
	'1',
	246555,
	44
);",

"INSERT INTO {adminsite} (id, group_id, name, rewrite, text, act, sort) VALUES (
	45,
	'3',
	'Языки сайта',
	'language',
	'<p>Модуль мультиязычности: добавление дополнительных языковых версий сайта.<br />\r\n<br />\r\n<a href=\"http://cms.diafan.ru/dokument/\" target=\"_blank\">Полная документация и помощь</a></p>',
	'1',
	46
);",

"INSERT INTO {adminsite} (id, group_id, name, rewrite, text, act, sort) VALUES (
	46,
	'3',
	'Корзина',
	'trash',
	'<p><a href=\"http://cms.diafan.ru/dokument/\" target=\"_blank\">Полная документация и помощь</a></p>',
	'1',
	47
);",

"INSERT INTO {adminsite} (id, group_id, count_children, name, rewrite, text, act, numrow, sort) VALUES (
	47,
	'3',
	4,
	'Автообновление',
	'update',
	'<p><a href=\"http://cms.diafan.ru/dokument/\" target=\"_blank\">Полная документация и помощь</a></p>',
	'1',
	0,
	42
);",

"INSERT INTO {adminsite} (`id`, `parent_id`, `group_id`, `name`, `rewrite`, `text`, `act`, `numrow`, `sort`) VALUES (
	65,
	47,
	'3',
	'Автообновление',
	'update',
	'<p><a href=\"http://cms.diafan.ru/dokument/\" target=\"_blank\">Полная документация и помощь</a></p>',
	'1',
	9367,
	47
);",

"INSERT INTO {adminsite_parents} (`element_id`, `parent_id`) VALUES (65, 47)",

"INSERT INTO {adminsite} (`id`, `parent_id`, `group_id`, `name`, `rewrite`, `text`, `act`, `numrow`, `sort`) VALUES (
	48,
	47,
	'3',
	'Установка/удаление модулей',
	'update/install',
	'<p><a href=\"http://cms.diafan.ru/dokument/\" target=\"_blank\">Полная документация и помощь</a></p>',
	'1',
	0,
	48
);",

"INSERT INTO {adminsite_parents} (`element_id`, `parent_id`) VALUES (48, 47)",

"INSERT INTO {adminsite} (`id`, `parent_id`, `group_id`, `name`, `rewrite`, `text`, `act`, `numrow`, `sort`) VALUES (
	53,
	47,
	'3',
	'Список закрытых для обновления файлов',
	'update/list',
	'<p><a target=\"_blank\" href=\"http://cms.diafan.ru/dokument/\">Полная документация и помощь</a></p>',
	'1',
	378,
	53
);",

"INSERT INTO {adminsite_parents} (`element_id`, `parent_id`) VALUES (54, 47)",

"INSERT INTO {adminsite} (`id`, `parent_id`, `group_id`, `name`, `rewrite`, `text`, `act`, `numrow`, `sort`) VALUES (
	54,
	47,
	'3',
	'Восстановление базы данных',
	'update/repair',
	'<p><a target=\"_blank\" href=\"http://cms.diafan.ru/dokument/\">Полная документация и помощь</a></p>',
	'1',
	5,
	54
);",

"INSERT INTO {adminsite_parents} (`element_id`, `parent_id`) VALUES (54, 47)",

"CREATE TABLE {site} (
	id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
	parent_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
	count_children TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
	".multilang("nameLANG VARCHAR(100) NOT NULL DEFAULT '',")."
	".multilang("titleLANG VARCHAR(250) NOT NULL DEFAULT '',")."
	".multilang("title_metaLANG VARCHAR(250) NOT NULL DEFAULT '',")."
	".multilang("keywordsLANG VARCHAR(250) NOT NULL DEFAULT '',")."
	".multilang("descrLANG text NOT NULL DEFAULT '',")."
	".multilang("textLANG longtext NOT NULL DEFAULT '',")."
	".multilang("actLANG ENUM('0', '1') NOT NULL DEFAULT '0',")."
	access ENUM('0', '1') NOT NULL DEFAULT '0',
	title_no_show ENUM('0', '1') NOT NULL DEFAULT '0',
	map_no_show ENUM('0', '1') NOT NULL DEFAULT '0',
	`block` ENUM( '0', '1' ) NOT NULL DEFAULT '0',
	sort INT(11) UNSIGNED NOT NULL DEFAULT '0',
	timeedit INT(12) UNSIGNED NOT NULL DEFAULT '0',
	theme VARCHAR(50) NOT NULL DEFAULT '',
	addmodule VARCHAR(20) NOT NULL DEFAULT '',
	trash ENUM('0', '1') NOT NULL DEFAULT '0',
	PRIMARY KEY  (id),
	KEY parent_id (parent_id)
) CHARSET=utf8",

"CREATE TABLE {site_parents} (
	id INT( 11 ) UNSIGNED NOT NULL AUTO_INCREMENT ,
	element_id INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
	parent_id INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
	trash ENUM( '0', '1' ) NOT NULL DEFAULT '0',
	PRIMARY KEY (id)
) CHARSET=utf8",

"CREATE TABLE {rewrite} (
	id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
	rewrite VARCHAR(250) NOT NULL DEFAULT '',
	module_name VARCHAR(8) NOT NULL DEFAULT '',
	element_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
	site_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
	cat_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
	param_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
	trash ENUM('0', '1') NOT NULL DEFAULT '0',
	PRIMARY KEY (id)
) CHARSET=utf8",

"CREATE TABLE {menu_category} (
	id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
	".multilang("nameLANG VARCHAR(100) NOT NULL DEFAULT '',")."
	show_title ENUM( '0', '1' ) NOT NULL DEFAULT '0',
	show_all_level ENUM( '0', '1' ) NOT NULL DEFAULT '0',
	hide_parent_link ENUM( '0', '1' ) NOT NULL DEFAULT '0',
	".multilang("actLANG ENUM('0', '1') NOT NULL DEFAULT '0',")."
	trash ENUM( '0', '1' ) NOT NULL DEFAULT '0',
	PRIMARY KEY  (id)
) CHARSET=utf8",

"CREATE TABLE {menu} (
	id INT( 11 ) UNSIGNED NOT NULL AUTO_INCREMENT ,
	".multilang("nameLANG VARCHAR(100) NOT NULL DEFAULT '',")."
	module_name VARCHAR( 13 ) NOT NULL DEFAULT '',
	site_id INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
	element_id INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
	module_cat_id INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
	cat_id INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
	parent_id INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
	count_children TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
	othurl VARCHAR(250) NOT NULL DEFAULT '',
	access ENUM( '0', '1' ) NOT NULL DEFAULT '0',
	sort INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
	".multilang("actLANG ENUM('0', '1') NOT NULL DEFAULT '0',")."
	trash ENUM( '0', '1' ) NOT NULL DEFAULT '0',
	PRIMARY KEY (id),
	KEY parent_id (parent_id)
) CHARSET=utf8",

"CREATE TABLE {menu_parents} (
	id INT( 11 ) UNSIGNED NOT NULL AUTO_INCREMENT ,
	element_id INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
	parent_id INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
	trash ENUM( '0', '1' ) NOT NULL DEFAULT '0',
	PRIMARY KEY (id)
) CHARSET=utf8",

"INSERT INTO {site} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")." sort, timeedit) VALUES (
	1,
	".multilang("'Главная страница',", "'Home',")."
	".multilang("'1',")."
	1,
	".time()."
);",

"INSERT INTO {rewrite} (id, rewrite, module_name, site_id) VALUES (1, '', 'site', 1)",

"INSERT INTO {menu_category} (id, name".multilang(", actLANG").") VALUES (1, 'Основное меню'".multilang(", '1'").")",

"CREATE TABLE {users} (
	id INT(3) UNSIGNED NOT NULL AUTO_INCREMENT,
	name VARCHAR(60) NOT NULL DEFAULT '',
	password VARCHAR(32) NOT NULL DEFAULT '',
	mail VARCHAR(64) NOT NULL DEFAULT '',
	created INT(12) UNSIGNED NOT NULL DEFAULT '0',
	fio VARCHAR(250) NOT NULL DEFAULT '',
	role_id INT(3) UNSIGNED NOT NULL DEFAULT '0',
	act ENUM('0', '1') NOT NULL DEFAULT '0',
	trash ENUM('0', '1') NOT NULL DEFAULT '0',
	PRIMARY KEY  (id),
	KEY name (name(1))
) CHARSET=utf8",

"CREATE TABLE {sessions} (
	user_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
	session_id VARCHAR(64) NOT NULL DEFAULT '',
	hostname VARCHAR(128) NOT NULL DEFAULT '',
	user_agent VARCHAR(255) NOT NULL DEFAULT '',
	timestamp VARCHAR(20) NOT NULL DEFAULT '0',
	session text NOT NULL DEFAULT '',
	PRIMARY KEY  (session_id),
	KEY user_id (user_id)
) CHARSET=utf8",

"CREATE TABLE {users_site} (
	id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
	name VARCHAR(60) NOT NULL DEFAULT '',
	password VARCHAR(32) NOT NULL DEFAULT '',
	mail VARCHAR(64) NOT NULL DEFAULT '',
	created INT(12) UNSIGNED NOT NULL DEFAULT '0',
	language INT(2) UNSIGNED NOT NULL DEFAULT '0',
	fio VARCHAR(250) NOT NULL DEFAULT '',
	act ENUM('0', '1') NOT NULL DEFAULT '0',
	moderator ENUM('0', '1') NOT NULL DEFAULT '0',
	subscribtion VARCHAR(255) NOT NULL DEFAULT '',
	trash ENUM('0', '1') NOT NULL DEFAULT '0',
	PRIMARY KEY  (id),
	KEY name (name(1))
) CHARSET=utf8",

"CREATE TABLE {sessions_site} (
	user_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
	session_id VARCHAR(64) NOT NULL DEFAULT '',
	hostname VARCHAR(128) NOT NULL DEFAULT '',
	user_agent VARCHAR(255) NOT NULL DEFAULT '',
	timestamp VARCHAR(20) NOT NULL DEFAULT '0',
	session text NOT NULL DEFAULT '',
	PRIMARY KEY  (session_id),
	KEY user_id (user_id)
) CHARSET=utf8",

"CREATE TABLE {sessions_hash} (
	id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
	`user_id` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
	`type` ENUM( 'user', 'admin' ) NOT NULL DEFAULT 'user',
	`hash` CHAR( 32 ) NOT NULL DEFAULT '',
	`created` INT(12) UNSIGNED NOT NULL DEFAULT '0',
	PRIMARY KEY  (`id`)
) CHARSET=utf8",

"CREATE TABLE {log} (
	id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
	ip VARCHAR(20) NOT NULL DEFAULT '',
	created INT(12) UNSIGNED NOT NULL DEFAULT '0',
	count INT(11) UNSIGNED NOT NULL DEFAULT '1',
	info text NOT NULL DEFAULT '',
	PRIMARY KEY (id),
	KEY ip (ip(4))
) CHARSET=utf8",

"CREATE TABLE {users_role} (
	id INT(3) UNSIGNED NOT NULL AUTO_INCREMENT,
	name VARCHAR(64) NOT NULL DEFAULT '',
	perm text NOT NULL DEFAULT '',
	trash ENUM('0', '1') NOT NULL DEFAULT '0',
	PRIMARY KEY  (id)
) CHARSET=utf8",

"INSERT INTO {users_role} (id, name) VALUES (1, 'Гость');",

"INSERT INTO {users_role} (id, name, perm) VALUES (2, 'Пользователь', 'admin site init');",

"INSERT INTO {users_role} (id, name, perm) VALUES (3, 'Модератор', 'admin clauses init,admin clauses edit,admin clauses save,admin clauses act,admin clauses order,admin clauses addnew,admin votes init,admin votes del,admin votes edit,admin votes save,admin votes act,admin votes order,admin votes addnew,admin shoporder init,admin feedback init,admin faq init,admin faq edit,admin faq save,admin faq act,admin mail init,admin mail edit,admin mail save,admin mail act,admin mail addnew,admin news init,admin news del,admin news edit,admin news save,admin news act,admin news order,admin news addnew');",

"INSERT INTO {users_role} (id, name, perm) VALUES (4, 'Администратор', 'admin all');",

"CREATE TABLE {config} (
	`id` INT(3) UNSIGNED NOT NULL AUTO_INCREMENT,
	`module_name` VARCHAR(12) NOT NULL DEFAULT '',
	`name` varchar(50) NOT NULL DEFAULT '',
	`lang_id` TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
	`value` TEXT NOT NULL DEFAULT '',
	`site_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
	PRIMARY KEY  (`id`)
) CHARSET=utf8",

"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('site', 'big_width', '300')",

"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('site', 'big_height', '300')",

"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('site', 'big_quality', '90')",

"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('site', 'medium_width', '100')",

"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('site', 'medium_height', '100')",

"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('site', 'medium_quality', '90')",

"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('site', 'use_animation', '1')",

"CREATE TABLE {language} (
	id INT(2) UNSIGNED NOT NULL AUTO_INCREMENT,
	name VARCHAR(100) NOT NULL DEFAULT '',
	shortname VARCHAR(10) NOT NULL DEFAULT '',
	PRIMARY KEY  (`id`)
) CHARSET=utf8",

"INSERT INTO {language} (id, name, shortname) VALUES (1, 'ru', '');",

"CREATE TABLE {trash} (
	id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
	table_name VARCHAR(50) NOT NULL DEFAULT '',
	module_name VARCHAR(13) NOT NULL DEFAULT '',
	element_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
	created INT(12) UNSIGNED NOT NULL DEFAULT '0',
	parent_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
	count_children TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
	user_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
	PRIMARY KEY (id),
	KEY module_name (module_name(2)),
	KEY parent_id (parent_id),
	KEY table_name (table_name(2)),
	KEY element_id (element_id)
) CHARSET=utf8",

"CREATE TABLE {trash_parents} (
	id INT( 11 ) UNSIGNED NOT NULL AUTO_INCREMENT ,
	element_id INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
	parent_id INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
	PRIMARY KEY (id)
) CHARSET=utf8",

"CREATE TABLE {images} (
	id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
	name VARCHAR(250) NOT NULL DEFAULT '',
	module_name VARCHAR(10) NOT NULL DEFAULT '',
	".multilang("altLANG VARCHAR(250) NOT NULL DEFAULT '',")."
	".multilang("titleLANG VARCHAR(250) NOT NULL DEFAULT '',")."
	element_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
	size INT(11) UNSIGNED NOT NULL DEFAULT '0',
	trash ENUM('0', '1') NOT NULL DEFAULT '0',
	sort INT(11) UNSIGNED NOT NULL DEFAULT '0',
	PRIMARY KEY (id),
	KEY module_name (module_name(2)),
	KEY element_id (element_id)
) CHARSET=utf8",

"CREATE TABLE {attachments} (
	`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
	`name` VARCHAR(50) NOT NULL DEFAULT '',
	`module_name` VARCHAR(10) NOT NULL DEFAULT '',
	`element_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
	`extension` VARCHAR(255) NOT NULL DEFAULT '',
	`size` INT(11) UNSIGNED NOT NULL DEFAULT '0',
	`is_image` ENUM('0','1') NOT NULL DEFAULT '0',
	`trash` ENUM('0', '1') NOT NULL DEFAULT '0',
	PRIMARY KEY  (id),
	KEY `element_id` (`element_id`),
	KEY `module_name` (`module_name`(2))
) CHARSET=utf8",

"CREATE TABLE {update} (
	`id` TINYINT( 3 ) UNSIGNED NOT NULL AUTO_INCREMENT,
	`user_id` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
	`name` TEXT NOT NULL DEFAULT '',
	`created` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
	PRIMARY KEY  (`id`)
) CHARSET=utf8",

"INSERT INTO {site} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")." sort, timeedit, theme, addmodule) VALUES (
	24,
	".multilang("'Карта сайта',", "'Site map',")."
	".multilang("'1',")."
	24,
	".time().",
	'sitemap.php',
	'map'
);",

"INSERT INTO {rewrite} (id, rewrite, module_name, site_id) VALUES (24, 'map', 'site', 24)",

"INSERT INTO {site} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")." sort, timeedit, addmodule) VALUES (
	25,
	".multilang("'Поиск по сайту',", "'Search',")."
	".multilang("'1',")."
	'25',
	".time().",
	'search'
);",

"INSERT INTO {rewrite} (id, rewrite, module_name, site_id) VALUES (25, 'search', 'site', 25)"
);

if (! empty($_POST["lang_yes"]))
{
	$sql[] = "INSERT INTO {language} VALUES (2, 'eng', 'eng');";
}

if (! empty($name_admin))
{
	$sql[] = "INSERT INTO {users} (id, name, password, mail, created, fio, role_id, act) VALUES (
		1,
		'".$name_admin."',
		'".code_password($pass_admin)."',
		'".EMAIL_CONFIG."',
		'".time()."',
		'".$fio_admin."',
		4,
		'1'
	);";
}

$example = array(
"UPDATE {site} SET
	".multilang(
	"text='<p>Наш зоопарк находится на территории бывшего зверепарка, который был основан Михаил Потапычем, бумажным медведем-предпринимателем. Сегодня у нас несколько десятков видов бумажных животных!</p>\r\n<p>Приходите к нам, мы работаем ежедневно:<br />\r\nЗоопарк: c 09:00 до 20:00<br />\r\nВыставка бумажного крупного рогатого скота с 11:00 до 19:00<br />\r\nВыставка бумажных птиц с 12:00 до 18:00<br />\r\nКассы закрываются на час раньше.</p>\r\n<insert often=\"1\" count=\"3\" module=\"faq\" name=\"show_block\"></insert>\r\n<h2>Наш опрос</h2>\r\n<insert name=\"show_votes\"></insert>\r\n<p><insert count=\"3\" sort=\"price\" module=\"shop\" name=\"show_block\" images=\"1\"></insert></p>'",
	
	", text2='<p>Our zoo is in territory former park which has been based Michael Potapych, a paper bear-businessman. Today at us it is some tens kinds of paper animals!</p><p>Come to us, we work daily: <br />Zoopark: from 09:00 till 20:00 <br />Vystavka a paper horned cattle from 11:00 till 19:00 <br />Vystavka paper birds from 12:00 till 18:00<br />Pay-box is closed on an hour earlier.</p><p><insert name=\"show_block\" module=\"faq\" count=\"3\" often=\"1\"></insert></p><p><insert name=\"show_votes\"></insert></p><h2>The Best offers from shop</h2><p><insert name=\"show_block\" module=\"shop\" sort=\"price\" count=\"3\" images=\"1\"></insert></p>'",
	
	"")."
	WHERE id=1",

"INSERT INTO {site} (id,
	".multilang("nameLANG,")."
	".multilang("textLANG,")."
	".multilang("actLANG,")."
	sort, timeedit, count_children) VALUES (
	2,
	".multilang("'О нас',", "'About us',")."
	".multilang(
	"'<p><strong>Бумажный зоопарк</strong><br />\r\n<br />\r\n<em><strong>Основан</strong></em>:&nbsp;давно<br />\r\n<br />\r\n<em><strong>Обитатели:&nbsp;</strong></em>бумажные животные<br />\r\n<br />\r\n<em><strong>Руководитель:&nbsp;</strong></em>Директор<br />\r\n<br />\r\n<em><strong>Служащие:</strong></em></p>\r\n<p><strong>Егорыч</strong> - главный врач по склеиванию бумажных зверят<br />\r\n<br />\r\n<strong>Клавдия Никитишна</strong> - завхоз по бумажным вопросам<br />\r\n<br />\r\n<strong>Еремил</strong> - смотрящий за мелкими животными<br />\r\n<br />\r\n<strong>Бартоломей</strong> - главный идеолог<br />\r\n<br />\r\n<strong>Симка,&nbsp;Фимка,&nbsp;Глашка,&nbsp;Думка</strong> - разнорабочие</p>',",
	
	"'<p><strong>Paper zoo</strong></p><p><em><strong>It is based:</strong></em> for a long time</p><p><strong><em>Inhabitants: </em></strong>paper animals</p><p><strong><em>The head:</em></strong> the director</p><p><em><strong>Employees:</strong></em></p><p><strong>Egorych</strong> - the head physician on pasting of paper animals</p><p><strong>Claudia Nikitishna</strong> - the supply manager on paper questions</p><p><strong>Ermil</strong> - looking for small animals</p><p><strong>Barmoley</strong> - the main ideologist</p><p><strong>Simca, Fimka, Glashka, Dumka</strong> - handymens</p>',"
	)."
	".multilang("'1',")."
	2,
	'".time()."',
	3
)",

"INSERT INTO {rewrite} (id, rewrite, module_name, element_id, site_id, cat_id, trash) VALUES (2, 'about-us', 'site', 0, 2, 0, '0')",

"INSERT INTO {menu} (
	id,
	module_name,
	site_id,
	cat_id,
	".multilang("nameLANG, ")."
	".multilang("actLANG, ")."
	count_children,
	sort
) VALUES (
	2,
	'site',
	2,
	'1',
	".multilang("'О нас',", "'About us',")."
	".multilang("'1', ")."
	3,
	2
)",

"INSERT INTO {site} (id,
	".multilang("nameLANG,")."
	".multilang("textLANG,")."
	".multilang("actLANG,")."
	sort, timeedit) VALUES (
	16,
	".multilang("'Контакты',", "'Contacts',")."
	".multilang(
	"'<p>Найти наш зоопарк очень просто. Возьмите лист бумаги,&nbsp;порвите его на тоненькие полосочки,&nbsp;склейте их,&nbsp;смотайте в клубок и положите клубок на землю. Разматываясь самостоятельно,&nbsp;он приведет вас прямо к воротам нашего зоопарка.<br />\r\n<br />\r\nЕсли вы захотите позвонить нам. Возьмите лист бумаги,&nbsp;нарисуйте на ней телефон,&nbsp;вырежьте его и снимите трубку. Все мы на связи.</p>\r\n<p>Если хотите отправить нам факс. Возьмите лист бумаги,&nbsp;напишите сообщение,&nbsp;сделайте из листа самолет и пустите его в окно. Через некоторое время мы получим ваше соощение.</p>\r\n<p>Приходите в бумажный зоопарк!</p>',",
	
	"'<p>To find our zoo very simply. Take a sheet of paper, tear it on thin streaks, stick together them, wind in a ball and put a ball on the earth. Being unwound independently, it will lead you directly to collars of our zoo.</p><p>If you want to call us. Take a sheet of paper, draw on it phone, cut out it and lift the receiver. We are on communication.</p><p>If wish to send us a fax. Take a sheet of paper, write the message, make of sheet the plane and start up it in a window. After a while we will receive yours message.</p><p>Come to a paper zoo!</p>',"
	)."
	".multilang("'1',")."
	16,
	'".time()."'
)",

"INSERT INTO {rewrite} (id, rewrite, module_name, element_id, site_id, cat_id, trash) VALUES (16, 'contacts', 'site', 0, 16, 0, '0')",

"INSERT INTO {menu} (
	id,
	module_name,
	site_id,
	cat_id,
	".multilang("nameLANG, ")."
	".multilang("actLANG, ")."
	sort
) VALUES (
	16,
	'site',
	16,
	'1',
	".multilang("'Контакты',", "'Contacts',")."
	".multilang("'1', ")."
	16
)",

"INSERT INTO {site} (id,
	".multilang("nameLANG,")."
	".multilang("textLANG,")."
	".multilang("actLANG,")."
	sort, timeedit, parent_id) VALUES (
	18,
	".multilang("'Животные',", "'Animals',")."
	".multilang(
	"'<p>Разрешите представить самых ярких обитателей нашего зоопарка:</p>\r\n<p>Орел Егорка - первый питомец, появившийся в нашем зоопарке. Назван в честь нашего директора,&nbsp;самого поразительного человека на земле. Орел любит летать,&nbsp;кушать бумагу (предпочитает тетради в линеечку) и забавляет всех своими рассказами о мире (как он его видит).</p>\r\n<p>Суслик Гумпик - самый забавный из сусликов. Он любит тяжелый рок,&nbsp;посещает все концерты групп нашего города,&nbsp;часто сидит в интернете,&nbsp;черпая оттуда байки,&nbsp;которые с успехом рассказывает всем посетителям зоопарка.</p>\r\n<p>Крокодил Генадий - герой наших анекдотов и былей. Генадий ярый сторонник позитива в этой жизни,&nbsp;поэтому он частенько перекрашивает себя из зеленого в разные цвета. Сложились приметы:&nbsp;если Генадий покрашен в синий цвет - быть скандалу в зоопарке,&nbsp;если в черный - пора вызывать пожарных,&nbsp;если в красный - намечается революция.</p>\r\n<p>Страус Ахмед - получил свое имя при загадочных обстоятельствах. Проснувшись как то утром, все увидели на страусе выбритую надпись:&nbsp;Здесь был Ахмед. С тех пор его так и зовут.</p>',",
	
	"'<p>Allow to present the brightest inhabitants of our zoo:<br /><br />Eagle of Egorka - the first pupil who has appeared in our zoo. It is named in honour of our director, the most amazing person on the earth. The eagle likes to fly, eat a paper (prefers writing-books in линеечку) and amuses all with the stories about the world (as he it sees).<br /><br />Gopher of Gumpik - most amusing of gophers. He loves a heavy rock, visits all concerts of groups of our city, often sits on the Internet, scooping therefrom байки which with success tells to all visitors of a zoo.<br /><br />Crocodile of Genady - the hero of our jokes and былей. Генадий the ardent supporter of a positive in this life, therefore it quite often recolours itself(himself) from green in different colours. There were signs: if Genady is painted dark blue colour - to be to scandal in a zoo if in black - it is time to cause firemen if in red - revolution is planned.<br /><br />The ostrich Ahmed - has received the name under mysterious circumstances. Having woken up as that in the morning, all have seen the shaved inscription on an ostrich: Here there was Ahmed. Since then him and call.</p>',"
	)."
	".multilang("'1',")."
	18,
	'".time()."',
	2
)",

"INSERT INTO {site_parents} (`element_id`, `parent_id`) VALUES (18, 2)",

"INSERT INTO {rewrite} (id, rewrite, module_name, element_id, site_id, cat_id, trash) VALUES (18, 'about-us/animals', 'site', 0, 18, 0, '0')",

"INSERT INTO {menu} (
	id,
	module_name,
	site_id,
	cat_id,
	parent_id,
	".multilang("nameLANG, ")."
	".multilang("actLANG, ")."
	sort
) VALUES (
	18,
	'site',
	18,
	1,
	2,
	".multilang("'Животные',", "'Animals',")."
	".multilang("'1', ")."
	18
)",

"INSERT INTO {menu_parents} (`element_id`, `parent_id`) VALUES (18, 2)",

"INSERT INTO {site} (id,
	".multilang("nameLANG,")."
	".multilang("textLANG,")."
	".multilang("actLANG,")."
	sort, timeedit, parent_id) VALUES (
	19,
	".multilang("'Миссия',", "'Mission',")."
	".multilang(
	"'<p>Наша Миссия - нести добро в сердце каждого. Когда вам грустно,&nbsp;когда кажется что что-то пошло не так,&nbsp;когда вы веселитесь,&nbsp;когда хотите дарить добро и счастье посещайте наш зоопарк и делитесь своими настроениями. Благодаря позитиву в нашем зоопарке складывается аура,&nbsp;способствующая росту обитателей и зоопитомцев.<br />\r\n<br />\r\nЕсли каждый наш посетитель расскажет о нашей идее,&nbsp;то в мире будет больше интересного. Присоединяйтесь к нам!!!</p>',",
	
	"'<p>Our mission - to bear good in heart of everyone. When to you it is sad, when something seems that tritely not so when you have fun when wish to give good and happiness visit our zoo and share the moods. Thanks to a positive in our zoo there is an aura promoting growth of inhabitants and zoopupils.<br /><br />If each our visitor tells about our idea in the world will be more interesting. Join us!!!</p>',"
	)."
	".multilang("'1',")."
	19,
	'".time()."',
	2
)",

"INSERT INTO {site_parents} (`element_id`, `parent_id`) VALUES (19, 2)",

"INSERT INTO {rewrite} (id, rewrite, module_name, element_id, site_id, cat_id, trash) VALUES (19, 'about-us/mission', 'site', 0, 19, 0, '0')",

"INSERT INTO {menu} (
	id,
	module_name,
	site_id,
	cat_id,
	parent_id,
	".multilang("nameLANG, ")."
	".multilang("actLANG, ")."
	sort
) VALUES (
	19,
	'site',
	19,
	1,
	2,
	".multilang("'Миссия',", "'Mission',")."
	".multilang("'1', ")."
	19
)",

"INSERT INTO {menu_parents} (`element_id`, `parent_id`) VALUES (19, 2)",

"INSERT INTO {site} (id,
	".multilang("nameLANG,")."
	".multilang("textLANG,")."
	".multilang("actLANG,")."
	sort, timeedit, parent_id) VALUES (
	20,
	".multilang("'История',", "'History',")."
	".multilang(
	"'<p>Идея создания Бумажного зоопарка пришла,&nbsp;как и все гениальное в этом мире,&nbsp;случайно. Наш директор Егор Петрович,&nbsp;тогда еще просто Егорка,&nbsp;сидя на крыльце своего дома что-то вырезал из бумаги. В итоге получилась птичка. От дуновения легкого ветерка,&nbsp;того ветерка,&nbsp;который чуть дотрагивается до кожи,&nbsp;оставляя приятный прохладный след&nbsp;и тут же исчезает в пучине жестокой реальности нашего бытия,&nbsp;птичка,&nbsp;казалось,&nbsp;взмыла в воздух и полетела,&nbsp;как настоящая живая гордая птица. Этот момент и является минутой рождения нашего зоопарка.<br />\r\n<br />\r\nЧерез месяц животных было уже столько,&nbsp;что обычная коробка из-под конфет,&nbsp;которые так любил Егор Петрович,&nbsp;не могла вмещать новые экземпляры животного мира. Нужно было расширять свое дело,&nbsp;и Наш Зоопарк переехал в центральный парк,&nbsp;тогда это была просто неогороженная территория за последними домами нашего города. <br />\r\n<br />\r\nШтат сотрудников начал расти,&nbsp;потому что очень многие хотели внести свою лепту в развитие столь чудесного направления человеческой активности. <br />\r\n<br />\r\nПосле случая кражи бесценных экземляров животных,&nbsp;у нас в штате появился сторож,&nbsp;который отлично знает все повадки животных и всегда стоит на страже,&nbsp;готовясь отразить любую атаку извне.<br />\r\n<br />\r\nСегодня наш Зоопарк настолько велик и популярен,&nbsp;что люди занимают очередь,&nbsp;чтобы попасть внутрь задолго до открытия. И главное:&nbsp;в нашем зоопарке запрещен огонь. Огонь - это самое большое зло для наших питомцев.<br />\r\n<br />\r\nМы всегда рады посетителям. Приходите!!!</p>',",
	
	"'<p>The idea of creation of the Paper zoo has come, as well as all ingenious in this world, casually. Our director Egor Petrovich, then Egorka, sitting on a porch of the house something cut out from a paper. The birdie as a result has turned out. From whiff of the easy breeze, that breeze which hardly touches a skin, leaving a pleasant cool trace and there and then disappears in abyss of a severe reality of our life, the birdie, appear, has soared up in air and has departed, as the present live proud bird. This moment also is minute of a birth of our zoo.</p>
    <p>In a month of animals was already so many that the usual box from under sweets which so were loved by Egor Petrovich, could not contain new copies of fauna. It was necessary to expand the business, and Our Zoo has moved to the central park then it there was simply unenclosed territory behind last houses of our city.</p><p>The staff has started to grow, because very many wished to bring the mite in development of so wonderful direction of human activity.</p><p>After a case of theft invaluable exemplar of animals, we in staff had a watchman who perfectly knows all habits of animals and always is on guard, going to reflect any attack from the outside.</p><p>Today our Zoo is so great and popular that people occupy turn to get inside long before opening. And the main thing: in our zoo fire is forbidden. Fire is the biggest harm for our pupils.</p><p>We are always glad to visitors. Come!!!</p>',"
	)."
	".multilang("'1',")."
	20,
	'".time()."',
	2
)",

"INSERT INTO {rewrite} (id, rewrite, module_name, element_id, site_id, cat_id, trash) VALUES (20, 'about-us/history', 'site', 0, 20, 0, '0')",

"INSERT INTO {site_parents} (`element_id`, `parent_id`) VALUES (20, 2)",

"INSERT INTO {menu} (
	id,
	module_name,
	site_id,
	cat_id,
	parent_id,
	".multilang("nameLANG, ")."
	".multilang("actLANG, ")."
	sort
) VALUES (
	20,
	'site',
	20,
	1,
	2,
	".multilang("'История',", "'History',")."
	".multilang("'1', ")."
	20
)",

"INSERT INTO {menu_parents} (`element_id`, `parent_id`) VALUES (20, 2)"

);

function module_basic_core()
{
	if (! is_dir(ABSOLUTE_PATH.USERFILES.'/site'))
	{
		mkdir(ABSOLUTE_PATH.USERFILES.'/site', 0777);
	}
	if (! is_dir(ABSOLUTE_PATH.USERFILES.'/site/small'))
	{
		mkdir(ABSOLUTE_PATH.USERFILES.'/site/small', 0777);
	}
	if (! is_dir(ABSOLUTE_PATH.USERFILES.'/site/medium'))
	{
		mkdir(ABSOLUTE_PATH.USERFILES.'/site/medium', 0777);
	}
	if (! is_dir(ABSOLUTE_PATH.USERFILES.'/images'))
	{
		mkdir(ABSOLUTE_PATH.USERFILES.'/images', 0777);
	}
	if (! is_dir(ABSOLUTE_PATH.USERFILES.'/ufiles'))
	{
		mkdir(ABSOLUTE_PATH.USERFILES.'/ufiles', 0777);
	}
}