<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Files_sitemap
 *
 * Карта модуля "Файловый архив"
 */
class Files_sitemap
{
	/**
	 * Генерирует карту модуля
	 * 
	 * @param integer $site_id номер страницы сайта
	 * @param integer $timeedit время редактирования страницы
	 * @return boolean true
	 */
	public function get($site_id, $timeedit)
	{
		if ($this->diafan->configmodules("cat", 'files', $site_id))
		{
			$this->category_map('files', $site_id);
		}
		$this->element_map('files', $site_id);
		return TRUE;
	}
}