<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Rating_admin_edit
 * 
 * Редактирование полей, связанных с работой модуля "Рейтинг"
 */
class Rating_admin_edit
{
	/**
	 * Редактирование поля "Рейтинг"
	 * 
	 * @return boolean
	 */
	public static function edit($th)
	{
		if (! $th->diafan->configmodules("rating") || $th->diafan->addnew)
		{
			return FALSE;
		}
		
		$row = DB::fetch_array(DB::query("SELECT id, rating, count_votes FROM {rating} WHERE element_id='%d' AND module_name='".$th->table."' AND trash='0'", $th->diafan->edit));
		echo '<tr>
			<td class="td_first"></td>
			<td>'
			.($row
			 ? '
				<a href="'.BASE_PATH_HREF.'rating/edit'.$row["id"].'/">'._LANG_RATING.': '.$row["rating"]
				.' '._ADMIN_RATING_VOTES.': '.$row["count_votes"].'</a>'
			 : _LANG_RATING.': '._ADMIN_RATING_NOT_VOTES)
			.$th->show_help_row().'
			</td>
		</tr>';
		return TRUE;
	}

	/**
	 * Редактирование поля "Подключить рейтинг" для конфигурации модуля
	 * 
	 * @return boolean true
	 */
	public static function edit_config($th)
	{
		$com = DB::query_result("SELECT COUNT(id) FROM {adminsite} WHERE act='1' AND rewrite='rating'");

		echo '
		<tr'.$th->get_other().'>
			<td class="td_first">'.$th->variable_names().'</td>
			<td>
				<input type="checkbox" name="'.$th->key.'"'
				.($com ? ' value="1"' : ' value="0" onclick="javascript:alert(\''._ADMIN_NO_RATING_CONFIG.'\');return false;"')
				.($th->value == 1 && $com ? " checked" : '')
				.'>'
				.$th->show_help_row().'
			</td>
		</tr>';
		return TRUE;
	}
}