$(document).ready(function(){
	$(".rel_good").live('mouseover', function(){
		$(this).addClass("hover");
		$(this).find(".rel_good_actions").show();
	});
	$(".rel_good").live('mouseout', function(){
		$(this).removeClass("hover");
		$(this).find(".rel_good_actions").hide();
	});
	$(".rel_good_actions a").live('click', function() {
		var self = $(this);
		if (self.attr("action") != 'delete_rel_good')
		{
			return true;
		}
		if (! confirm(self.attr("confirm")))
		{
			return false;
		}
		$.ajax({
			url : window.location.href,
			type : 'POST',
			dataType : 'json',
			data : {
				action: 'delete_discount_good',
				module: 'shop',
				discount_id : $('input[name=id]').val(),
				good_id : self.parents(".rel_good").attr("good_id"),
				check_hash_user : $('.check_hash_user').text()
			},
			success : (function(response)
			{
				self.parents(".rel_good").remove();

				if (response.hash)
				{
					$('input[name=check_hash_user]').val(response.hash);
					$('.check_hash_user').text(response.hash);
				}
			})
		});
		return false;
	});
	$('.rel_shop_plus').click(function() {
		var self = $(this);
		$.ajax({
			url : window.location.href,
			type : 'POST',
			dataType : 'json',
			data : {
				action: 'show_discount_goods',
				module: 'shop',
				discount_id: $('input[name=id]').val(),
				check_hash_user : $('.check_hash_user').text()
			},
			success : (function(response)
			{
				if (response.data)
				{
					$("#rel_shop_container").html(prepare(response.data));
					$.prettyPhoto.open("#rel_shop_container");
				}
				if (response.hash)
				{
					$('input[name=check_hash_user]').val(response.hash);
					$('.check_hash_user').text(response.hash);
				}
			})
		});
		return false;
	});
	$('.rel_shop_navig a').live('click', function() {
		var self = $(this);
		$.ajax({
			url : window.location.href,
			type : 'POST',
			dataType : 'json',
			data : {
				action: 'show_discount_goods',
				module: 'shop',
				discount_id: $('input[name=id]').val(),
				page: self.attr("page"),
				check_hash_user : $('.check_hash_user').text()
			},
			success : (function(response)
			{
				if (response.data)
				{
					$(".rel_all_goods_container").html(prepare(response.data));
				}
				if (response.hash)
				{
					$('input[name=check_hash_user]').val(response.hash);
					$('.check_hash_user').text(response.hash);
				}
			})
		});
		return false;
	});
	$('.rel_shop_search').live('keyup', function() {
		var self = $(this);
		$.ajax({
			url : window.location.href,
			type : 'POST',
			dataType : 'json',
			data : {
				action: 'show_discount_goods',
				module: 'shop',
				discount_id: $('input[name=id]').val(),
				search: self.val(),
				check_hash_user : $('.check_hash_user').text()
			},
			success : (function(response)
			{
				if (response.data)
				{
					$(".rel_all_goods_container").html(prepare(response.data));
				}
				if (response.hash)
				{
					$('input[name=check_hash_user]').val(response.hash);
					$('.check_hash_user').text(response.hash);
				}
			})
		});
		return false;
	});

	$('.rel_shop a').live('click', function() {
		var self = $(this);
		if (! self.parents('.rel_shop').find('div').is('.rel_shop_selected'))
		{
			$.ajax({
				url : window.location.href,
				type : 'POST',
				dataType : 'json',
				data : {
					action: 'discount_good',
					module: 'shop',
					good_id: self.parents(".rel_shop").attr("element_id"),
					discount_id: $('input[name=id]').val(),
					check_hash_user : $('.check_hash_user').text()
				},
				success : (function(response)
				{
					self.parents('.rel_shop').find('div').addClass('rel_shop_selected');
					if (response.data)
					{
						$(".rel_goods").html(prepare(response.data));
					}
					if (response.id)
					{
						$("input[name=id]").val(response.id);
					}
					if (response.hash)
					{
						$('input[name=check_hash_user]').val(response.hash);
						$('.check_hash_user').text(response.hash);
					}
				})
			});
		}
		else
		{
			
			$.ajax({
				url : window.location.href,
				type : 'POST',
				dataType : 'json',
				data : {
					action: 'delete_discount_good',
					module: 'shop',
					discount_id: $('input[name=id]').val(),
					good_id : self.parents(".rel_shop").attr("element_id"),
					check_hash_user : $('.check_hash_user').text()
				},
				success : (function(response)
				{
					self.parents('.rel_shop').find('div').removeClass('rel_shop_selected');
					$(".rel_good[good_id="+self.parents(".rel_shop").attr("good_id")+"]").remove();
	
					if (response.hash)
					{
						$('input[name=check_hash_user]').val(response.hash);
						$('.check_hash_user').text(response.hash);
					}
				})
			});
		}
		return false;
	});

});