$(document).ready(function(){
	show_param($("#type select"));
	$("#type select").change(function(){
		show_param($(this));
	});
	$(".param_actions a[action=up_param]").first().hide();
	$(".param_actions a[action=down_param]").last().hide();
	$(".param").live('mouseover', function(){
		$(this).addClass("hover");
		$(this).find(".param_actions").show();
	});
	$(".param").live('mouseout', function(){
		$(this).removeClass("hover");
		$(this).find(".param_actions").hide();
	});
	$(".param_actions a").live('click', function() {
		var self = $(this);
		if (! self.attr("action"))
		{
			return true;
		}
		if (self.attr("confirm") && ! confirm(self.attr("confirm")))
		{
			return false;
		}
		if (! self.parents(".param").find(".param_id").length)
		{
			if (self.attr("action") == "delete_param")
			{
				self.parents(".param").remove();
			}
			return false;
		}
		$.ajax({
			url : window.location.href,
			type : 'POST',
			dataType : 'json',
			data : {
				action: self.attr("action"),
				module: 'shop',
				id : self.parents(".param").find(".param_id").val(),
				check_hash_user : $('.check_hash_user').text()
			},
			success : (function(response)
			{
				if (self.attr("action") == "delete_param")
				{
					self.parents(".param").remove();
				}
				else if (self.attr("action") == "down_param")
				{
					self.parents(".param").next(".param").after(self.parents(".param").clone(true));
					self.parents(".param").remove();
					$(".param_actions a[action=up_param]").show();
					$(".param_actions a[action=down_param]").show();
					$(".param_actions a[action=up_param]").first().hide();
					$(".param_actions a[action=down_param]").last().hide();
				}
				else if (self.attr("action") == "up_param")
				{
					self.parents(".param").prev(".param").before(self.parents(".param").clone(true));
					self.parents(".param").remove();
					$(".param_actions a[action=up_param]").show();
					$(".param_actions a[action=down_param]").show();
					$(".param_actions a[action=up_param]").first().hide();
					$(".param_actions a[action=down_param]").last().hide();
				}
				
				if (response.hash)
				{
					$('input[name=check_hash_user]').val(response.hash);
					$('.check_hash_user').text(response.hash);
				}
			})
		});
		return false;
	});
	$('.param_plus').click(function() {
		$('.param:last').clone(true).appendTo('#param table');
		$('.param:last .param_id, .param:last .param_actions a[action=down_param], .param:last .param_actions a[action=up_param]').remove();
		$('.param:last input').val('');
		$('.param:last .param_actions a[action=delete_param]').attr('confirm', '');
	});

});
function show_param(obj)
{
	if (obj.val() == "select" || obj.val() == "multiple")
	{
		$("#param").show();
	}
	else
	{
		$("#param").hide();
	}
	if (obj.val() == "checkbox")
	{
		$("#param_check").show();
	}
	else
	{
		$("#param_check").hide();
	}
}