<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Usersite_install
 *
 * Установка модуля "Регистрация"
 */

$title = "Регистрация";

$sql = array(
	"CREATE TABLE {usersite_actlink} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		`link` VARCHAR(250) NOT NULL DEFAULT '',
		`user_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`created` INT(12) UNSIGNED NOT NULL DEFAULT '0',
		PRIMARY KEY (`id`)
	) CHARSET=utf8",

	"CREATE TABLE {usersite_param} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		".multilang("`nameLANG` VARCHAR(250) NOT NULL DEFAULT '',")."
		".multilang("`textLANG` text NOT NULL,")."
		`type` VARCHAR(20) NOT NULL DEFAULT '',
		`form` ENUM('none', 'form', 'reg', 'user') NOT NULL DEFAULT 'none',
		`sort` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`required` ENUM('0', '1') NOT NULL DEFAULT '0',
		`trash` ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (`id`)
	) CHARSET=utf8",

	"CREATE TABLE {usersite_param_element} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		`value` text NOT NULL,
		`param_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`element_id`  INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`trash` ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (`id`)
	) CHARSET=utf8",

	"CREATE TABLE {usersite_param_select} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		`param_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`value` TINYINT(2) UNSIGNED NOT NULL DEFAULT '0',
		".multilang("`nameLANG` VARCHAR(50) NOT NULL DEFAULT '',")."
		`sort` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`trash` ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (`id`),
		KEY param_id (`param_id`)
	) CHARSET=utf8",

	"INSERT INTO {site} (id,
		".multilang("`nameLANG`,")."
		".multilang("`titleLANG`,")."
		".multilang("`actLANG`,")."
		`sort`, `timeedit`, `addmodule`) VALUES (
		8,
		".multilang("'".$title."',", "'Registration',", "'',")."
		".multilang("'".$title."',", "'Registration',", "'',")."
		".multilang("'1',")."
		'8',
		'".time()."',
		'registration'
	);",

	"INSERT INTO {rewrite} (`id`, `rewrite`, `module_name`, `site_id`) VALUES (8, 'registration', 'site', 8)",

	"INSERT INTO {site} (id,
		".multilang("`nameLANG`,")."
		".multilang("`titleLANG`,")."
		".multilang("`actLANG`,")."
		`sort`, `timeedit`, `addmodule`) VALUES (
		11,
		".multilang("'Забыли пароль?',", "'Have forgotten the password?',", "'',")."
		".multilang("'Забыли пароль?',", "'Have forgotten the password?',", "'',")."
		".multilang("'1',")."
		'11',
		'".time()."',
		'reminding'
	);",

	"INSERT INTO {rewrite} (`id`, `rewrite`, `module_name`, `site_id`) VALUES (11, 'reminding', 'site', 11)",

	"INSERT INTO {adminsite} (`id`, `group_id`, `count_children`, `name`, `rewrite`, `text`, `act`, `numrow`, `sort`) VALUES (
		23,
		'2',
		3,
		'Пользователи сайта',
		'usersite',
		'<p>Пользователи регистрируются на сайте, их также можно добавить вручную здесь. <a href=\"base_path/usersite/config/\">Настройки модуля &quot;Пользователи&quot;</a>.</p>\r\n<p><a target=\"_blank\" href=\"http://cms.diafan.ru/dokument/\">Полная документация и помощь</a></p>',
		'1',
		37585,
		40
	);",

	"INSERT INTO {adminsite} (`id`, `parent_id`, `group_id`, `name`, `rewrite`, `text`, `act`, `numrow`, `sort`) VALUES (
		64,
		23,
		'2',
		'Пользователи',
		'usersite',
		'<p><a target=\"_blank\" href=\"http://cms.diafan.ru/dokument/\">Полная документация и помощь</a></p>',
		'1',
		423,
		22
	);",

	"INSERT INTO {adminsite_parents} (`element_id`, `parent_id`) VALUES (64, 23)",

	"INSERT INTO {adminsite} (`id`, `parent_id`, `group_id`, `name`, `rewrite`, `text`, `act`, `numrow`, `sort`) VALUES (
		55,
		23,
		'2',
		'Конструктор формы регистрации',
		'usersite/param',
		'<p><a target=\"_blank\" href=\"http://cms.diafan.ru/dokument/\">Полная документация и помощь</a></p>',
		'1',
		8,
		23
	);",

	"INSERT INTO {adminsite_parents} (`element_id`, `parent_id`) VALUES (55, 23)",

	"INSERT INTO {adminsite} (`id`, `parent_id`, `group_id`, `name`, `rewrite`, `text`, `numrow`, `sort`) VALUES (
		24,
		23,
		'2',
		'Настройки',
		'usersite/config',
		'<p><a target=\"_blank\" href=\"http://cms.diafan.ru/dokument/\">Полная документация и помощь</a></p>',
		12,
		24
	);",

	"INSERT INTO {adminsite_parents} (`element_id`, `parent_id`) VALUES (24, 23)",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('usersite', 'security_code', '1')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('usersite', 'sendmailadmin', '1')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('usersite', 'act', '1')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('usersite', 'mes', 'Вы удачно зарегистрированы. Для активации аккаунта пройдите по ссылке, высланной на ваш e-mail.')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('usersite', 'subject_admin', '%%title (%%url). Новый пользователь')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('usersite', 'message_admin', 'Здравствуйте, администратор сайта %%title (%%url)!<br>На сайте появился новый пользователь: %%fio (%%login), %%email.')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('usersite', 'subject', 'Вы зарегистрированы на сайте %%title (%%url)')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('usersite', 'message', 'Здравствуйте, %%fio!<br>Вы зарегистрированы на сайте %%title (%%url).<br>Логин: %%login<br>Пароль: %%password<br>Для активации аккаунта пройдите по ссылке %%actlink<br>Ссылка действует в течении суток.')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('usersite', 'mes_reminding', 'Новый пароль выслан Вам на e-mail.')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('usersite', 'subject_reminding', 'Вы запросили новый пароль на сайте %%title (%%url).')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('usersite', 'message_reminding', 'Здравствуйте, %%fio!<br>Вы запросили новый пароль на сайте %%title (%%url).<br>Логин: %%login<br>Пароль: %%password')",

	"INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES ('usersite', 'mes', 'Congratulations! You have successful registered. In order to activate your account please click the link send to your e-mail.', 2)",

	"INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES ('usersite', 'subject', 'You registered on web site %%title (%%url).', 2)",

	"INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES ('usersite', 'message', 'Hello, %%fio!<br>You registered on web site %%title (%%url).<br>Username: %%login<br>Password: %%password<br>In order to activate your account please click the link %%actlink<br>Link act in next day.', 2)",

	"INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES ('usersite', 'mes_reminding', 'New password send to your e-mail.', 2)",
	
	"INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES ('usersite', 'subject_reminding', 'You requested new password on web site %%title (%%url).', 2)",

	"INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES ('usersite', 'message_reminding', 'Hello, %%fio!<br>You requested new password on web site %%title (%%url).<br>Username: %%login<br>Password: %%password', 2)",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('usersite', 'avatar', '1')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('usersite', 'avatar_width', '50')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('usersite', 'avatar_height', '50')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('usersite', 'avatar_quality', '80')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('usersite', 'error_empty_fields', 'Пожалуйста, заполните обязательное поле')",

	"INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES ('usersite', 'error_empty_fields', 'Please fill out the required field', 2)"
);
	
$example = array(
	"UPDATE {site} SET
		".multilang(
		"text='<p>Регистрация на сайте нашего зоопарка дает многое: для посетителей доступ к некоторым закрытым страницам, голосованиям и т.д. А администрация нашего зоопарка часто делает рассылки интересных новостей по базе наших пользователей.</p>'",
		", text2='<p>Registration on a site of our zoo gives much: for visitors access to some closed pages, votings etc. And the administration of our zoo often does dispatches of interesting news on base of our users.</p>'",
		""
		)."
		WHERE id=8",

	"UPDATE {site} SET
		".multilang(
		"text='<p>Если вы забыли пароль, вам необходимо ввести ваш логин и почтовый ящик в форму ниже и нажать отправить. Новый пароль придет к вам на почту. Восстановление старого пароля невозможно, т.к. пароли шифруются по алгоритму md5.</p>'",
		", text2='<p>If you have forgotten the password, it is necessary for you to enter your login and a mail box into the form more low and to press to send. The new password will come to you on mail. Restoration of the old password is impossible, since passwords are ciphered on algorithm md5.</p>'",
		""
		)."
		WHERE id=11",

	"INSERT INTO {users_site} (id, name, password, mail, created, fio, act) VALUES (
		1,
		'kukushkin',
		'48222981add3862a4c8e9646fd77b1d1',
		'kukushkin@site.com',
		'1231794000',
		'Кукушкин Адольф',
		'1'
	)",

	"INSERT INTO {users_site} (id, name, password, mail, created, fio, act) VALUES (
		2,
		'filimon',
		'c42a922f981091217a808fb6eea48e26',
		'filimon@site.ru',
		'1234126800',
		'Филимон Авруцкий',
		'1'
	)"
);

/**
 * Выполняет действия для основной установки модуля
 * 
 * @return void
 */
function module_basic_usersite()
{
	if (! is_dir(ABSOLUTE_PATH.USERFILES.'/avatar'))
	{
		mkdir(ABSOLUTE_PATH.USERFILES.'/avatar', 0777);
	}
}

/**
 * Выполняет действия для установки примеров заполнения модуля
 * 
 * @return void
 */
function module_example_usersite()
{
	if (! file_exists(ABSOLUTE_PATH.USERFILES.'/avatar/filimon.png'))
	{
		copy('http://cms.diafan.ru/files4.2/avatar/filimon.png', ABSOLUTE_PATH.USERFILES.'/avatar/filimon.png');
	}
	if (! file_exists(ABSOLUTE_PATH.USERFILES.'/avatar/kukushkin.png'))
	{
		copy('http://cms.diafan.ru/files4.2/avatar/kukushkin.png', ABSOLUTE_PATH.USERFILES.'/avatar/kukushkin.png');
	}
}

/**
 * Деинсталлирует модуль
 * 
 * @return void
 */
function module_basic_uninstall_usersite()
{
	$module = 'usersite';
	DB::query("DROP TABLE {usersite_actlink};");
	DB::query("DELETE FROM {site} WHERE addmodule='registration';");
	DB::query("DELETE FROM {site} WHERE addmodule='reminding';");
	$admin_ids = DB::query_result("SELECT GROUP_CONCAT(id SEPARATOR ',') FROM {adminsite} WHERE rewrite IN ('".$module."', '".$module."/config')");
	if ($admin_ids)
	{
		DB::query("DELETE FROM {adminsite} WHERE id IN (".$admin_ids.")");
		DB::query("DELETE FROM {adminsite_parents} WHERE element_id IN (".$admin_ids.")");
	}
	DB::query("DELETE FROM {config} WHERE module_name='".$module."';");
	$trash_ids = DB::query_result("SELECT GROUP_CONCAT(id SEPARATOR ',') FROM {trash} WHERE module_name='".$module."'");
	if ($trash_ids)
	{
		DB::query("DELETE FROM {trash} WHERE id IN (".$trash_ids.")");
		$trash_child_ids = DB::query_result("SELECT GROUP_CONCAT(element_id SEPARATOR ',') FROM {trash_parents} WHERE parent_id IN (".$trash_ids.")");
		if ($trash_child_ids)
		{
			DB::query("DELETE FROM {trash_parents} WHERE element_id IN (".$trash_child_ids.")");
		}
		DB::query("DELETE FROM {trash_parents} WHERE element_id IN (".$trash_ids.")");
	}
}