<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Votes_admin_element
 *
 * Редактирование ответов для голосования
 */
class Votes_admin_element extends Frame_admin
{
	/**
	 * @var string название файла. используется в имени констант, определяющих названия полей
	 */
	public $file	=	'votesanswer';

	/**
	 * @var string таблица в базе данных
	 */
	public $table	=	'votes';

	/**
	 * Конструктор класса
	 * 
	 * @return void
	 */
	public function __construct($diafan)
	{
		$this->diafan = $diafan;
		
		$this->table = 'votes';
		
		//поля в базе данных для редактирования
		$this->variable_table = array(
			'name'        => 'text',
			'count_votes' => 'numtext',
			'sort'        => 'function',
			'cat_id'      => 'function'
		);
		
		//переводимые поля
		$this->language_names = array(
			'name'
		);	

		$this->config_module = array(
			'del'           => 1, //удалить
			'trash'         => 1, //использовать корзину
			'order'         => 1, //сортируется
			'element'       => 1, //используются группы
			'category_flat' => 1  // категори не содержат вложенности
		);

		//выводить в списке содержание полей:
		$this->config_other_row = array(
			'count_votes'
		);
	}

	/**
	 * Выводит списко ответов
	 * @return boolean true
	 */
	public function show_module()
	{
		$this->addnew_init(_ADMIN_VOTESANSWER_ADD);
		echo '<table class="list">';
		$this->list_row($this->diafan->cat);	
		echo '</table>';

		return TRUE;
	}
}