<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Captcha_view
 * 
 * Шаблон каптчи
 */

class Captcha_view extends View
{
	/**
	 * Шаблон каптчи
	 *
	 * @param array $result данные, сгенерированные в моделе
	 * @return string
	 */
	public function get($result)
	{
		$html_captcha = '';

		$codeint = rand(1111, 9999);
		if (! $result["update"])
		{
			$html_captcha .= '<div class="code">';
		}
		$html_captcha .= '<div class="code_enter">'.$this->_('ENTER_CAPTCHA').'</div>
		<img src="'.BASE_PATH.(IS_ADMIN ? ADMIN_FOLDER.'/' : '').'captcha/get/'.$result["modules"].$codeint.'" width="120" height="60" class="code_img"><br>
		<input type="hidden" name="codeint" value="'.$codeint.'">
		<input type="hidden" name="update" value="">

		<div class="code_update"><a href="javascript:void(0)">'.$this->_('UPDATE_CAPTCHA').'</a></div>
		<div class="code_input"><input type="text" name="code" value="" autocomplete="off"></div>

		<div class="errors error_code"'.($result["error"] ? '>'.$result["error"] : ' style="display:none">').'</div>';
		if (! $result["update"])
		{
			$html_captcha .= '</div>';
		}
		return $html_captcha;
	}
}