<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Files_admin_config
 *
 * Конфигурирование модуля "Файловый архив"
 */
class Files_admin_config extends Frame_admin
{
	/**
	 * @var string название файла. используется в имени констант, определяющих названия полей
	 */
	public $file = 'files_config';

	/**
	 * Конструктор класса
	 * 
	 * @return void
	 */
	public function __construct($diafan)
	{
		$this->diafan = $diafan;

		$this->variable_table = array(
			'cat'                   => 'checkbox',
			'nastr'                 => 'numtext',
			'count_list'            => 'numtext',
			'childrens_elements'    => 'checkbox',

			'hr1'                   => 'hr',
			'images'                => 'module',

			'hr2'                   => 'hr',
			'comments'              => 'module',
			'tags'                  => 'module',
			'rating'                => 'module',

			'hr3'                   => 'hr',
			'attachment_extensions' => 'text'
		);

		$this->config_module = array(
			'element_site' => 1, //делит элементы по разделам (страницы сайта, к которым прикреплен модуль)
			'config'       => 1  //файл настроек модуля
		);

		$this->show_tr_click_checkbox = array(
			'cat' => array(
				'count_list',
				'childrens_elements'
			)
		);
	}
}