<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Обработка данных, полученных от системы Roboxchange
 */
if ($_GET["rewrite"] == "robox/result")
{
	if (empty($_REQUEST["InvId"]))
	{
		include(ABSOLUTE_PATH."includes/404.php");
	}
	$mrh_pass2 = ROBOX_PASS_2;
	$inv_id = $_REQUEST["InvId"];
	
	$out_summ = $_REQUEST["OutSum"];
	
	$crc = $_REQUEST["SignatureValue"];
	
	$crc = strtoupper($crc);
	$my_crc = strtoupper(md5("$out_summ:$inv_id:$mrh_pass2"));
		
	if (strtoupper($my_crc) != strtoupper($crc))
	{
		echo "bad sign\n";
		exit;
	}

	echo "OK$inv_id\n";
	exit;
}

if ($_GET["rewrite"] == "robox/success")
{
	if (empty($_REQUEST["InvId"]))
	{
		include(ABSOLUTE_PATH."includes/404.php");
	}

	$mrh_pass1 = ROBOX_PASS_1;

	$inv_id = $_REQUEST["InvId"];
	$crc = $_REQUEST["SignatureValue"];
	$crc = strtoupper($crc);

	$pay = DB::fetch_array(DB::query("SELECT summ FROM {shop_order} WHERE id=%d AND status='0' AND payment='2'", $inv_id));
	if (! $pay)
	{
		include(ABSOLUTE_PATH."includes/404.php");
	}

	$out_summ = $_REQUEST["OutSum"];

	$my_crc = strtoupper(md5("$out_summ:$inv_id:$mrh_pass1"));
	if (strtoupper($my_crc) != strtoupper($crc))
	{
		include(ABSOLUTE_PATH."includes/404.php");
	}
	// меняем статус заказа на "В обработке"
	DB::query("UPDATE {shop_order} SET status='1' WHERE id=%d", $inv_id);
	if ($this->configmodules("use_count_goods", "shop"))
	{
		$result = DB::query("SELECT * FROM {shop_order_goods} WHERE order_id=%d", $inv_id); 
		while ($row = DB::fetch_array($result))
		{
			if ($row["count_goods"])
			{
				$count = DB::query_result("SELECT count_goods FROM {shop_price} WHERE good_id=%d AND param_value='%d'", $row["good_id"], $row["depend_price"]);
				$count = $count > $row["count_goods"] ? $count - $row["count_goods"] : 0;
				// уменьшаем количество товаров на складе
				DB::query("UPDATE {shop_price} SET count_goods=%d WHERE good_id=%d AND param_value='%d'", $count, $row["good_id"], $row["depend_price"]);

				// заносим операцию в отчет
				DB::query("INSERT INTO {shop_order_count_goods} (created, order_id, good_id, count_goods, summ, param_value, type, user_id)"
				          ." VALUES (%d, %d, %d, %d, %f, %d, 'user', %d)", time(), $row["order_id"], $row["good_id"], $row["count_goods"],
				          $row["count_goods"] * $row["price"], $row["depend_price"], $this->_user->id);
			}
		}
	}
	$order_rew = DB::query_result("SELECT rewrite FROM {rewrite} WHERE module_name='site' AND trash='0' AND site_id IN"
	                              ." (SELECT id FROM {site} WHERE addmodule='order' AND act='1' AND trash='0' AND block='0')");
	$this->redirect('http://'.$_SERVER["HTTP_HOST"].'/'.(REVATIVE_PATH ? REVATIVE_PATH.'/' : '').$order_rew.'/step5/');
	exit;
}

$order_rew = DB::query_result("SELECT rewrite FROM {rewrite} WHERE module_name='site' AND trash='0' AND site_id IN"
                              ." (SELECT id FROM {site} WHERE addmodule='order' AND act='1' AND trash='0' AND block='0')");
$this->redirect('http://'.$_SERVER["HTTP_HOST"].'/'.(REVATIVE_PATH ? REVATIVE_PATH.'/' : '').$order_rew.'/step6/');
