<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Rating_admin_config
 *
 * Конфигурация модуля "Права доступа"
 */
class Rating_admin_config extends Frame_admin
{
	/**
	 * @var string название файла. используется в имени констант, определяющих названия полей
	 */
	public $file	=	'rating_config';

	/**
	 * Конструктор класса
	 * 
	 * @return void
	 */
	public function __construct($diafan)
	{
		$this->diafan = $diafan;

		$this->variable_table = array(
			'security_user' => 'checkbox',
			'security'      => 'select'
		);

		$this->config_module = array(
			'config' => 1 //файл настроек модуля
		);

		$this->select_arr["security"] = array(
			0 => _ADMIN_RATING_CONFIG_SECURITY_0,
			2 => _ADMIN_RATING_CONFIG_SECURITY_2,
			3 => _ADMIN_RATING_CONFIG_SECURITY_3,
			4 => _ADMIN_RATING_CONFIG_SECURITY_4
		);
	}
}