<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Reminding_view
 *
 * Шаблон модуля "Восстановление пароля"
 */
class Reminding_view extends View
{
	/**
	 * Шаблон формы восстановления пароля
	 * 
	 * @param array $result сгенерированные в моделе данные
	 * @return boolean true
	 */
	public function form($result)
	{
		echo '<form method="POST" action="'.$result["action"].'" class="reminding_form ajax">
			<input type="hidden" name="ajax" value="">
			<input type="hidden" name="module" value="reminding">

			<div class="infofield">'.$this->_('ENTER_YOUR_LOGIN').':</div>
			<input type = "text" maxLength="70" name="name" size="40" class="inptext" value="">
			<div class="errors error_name"'.($result["error_name"] ? '>'.$result["error_name"] : ' style="display:none">').'</div>
			<br>
			<div class="infofield">'.$this->_('ENTER_YOUR_EMAIL').':</div>
			<input type = "text" maxLength="70" name="mail" size="40" class="inptext" value=""><br>
			<div class="errors error_mail"'.($result["error_mail"] ? '>'.$result["error_mail"] : ' style="display:none">').'</div>
			'.$result["captcha"].'
			<input type="submit" value="'.$this->_('SEND', FALSE).'" class="button">
			<div class="errors error"'.($result["error"] ? '>'.$result["error"] : ' style="display:none">').'</div>
		</form>';

		return TRUE;
	}
}