<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Shop_admin_import_category
 *
 * Список импортов
 */
class Shop_admin_import_category extends Frame_admin
{
	/**
	 * @var string название файла. используется в имени констант, определяющих названия полей
	 */
	public $file = 'shopimport';

	/**
	 * @var string таблица в базе данных
	 */
	public $table = 'shop_import_category';

	/**
	 * Конструктор класса
	 * 
	 * @return void
	 */
	public function __construct($diafan)
	{
		$this->diafan = $diafan;

		$this->nastr = 100;

		//поля в базе данных для редактирования
		$this->variable_table = array(
			'name'         => 'text',
			//'format'     => 'select',
			'type'         => 'select',
			'delete_items' => 'checkbox',
			'site_id'      => 'function'
		);

		$this->config_module = array(
			'del'             => 1, //удалить
			'category'        => 1, //часть модуля - категории
			'link_to_element' => 1, //основная ссылка ведет к списку элементов, принадлежащих категории
			'trash'           => 1  //использовать корзину
		);
		//$this->select_arr["format"] = array('csv' => 'CSV', 'xls' => 'XLS');
		$this->select_arr["type"] = array('good' => _ADMIN_GOOD_ID, 'category' => _ADMIN_CAT_ID);
	}

	/**
	 * Выводит список категорий
	 * @return boolean true
	 */
	public function show_module()
	{
		$this->addnew_init(_ADMIN_ADD_IMPORT);

		echo '<table class="list">';
		$this->list_row();
		echo '</table>';

		return TRUE;
	}
}