<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Subscribtion_admin_config
 *
 * Конфигурация модуля "Рассылки"
 */
class Subscribtion_admin_config extends Frame_admin
{
	/**
	 * @var string название файла. используется в имени констант, определяющих названия полей
	 */
	public $file	=	'subscribtion_config';

	/**
	 * Конструктор класса
	 * 
	 * @return void
	 */
	public function __construct($diafan)
	{
		$this->diafan = $diafan;

		$this->variable_table = array(
			'cat'		=> 'checkbox',
			'subject'	=> 'text',
			'emailconf'	=> 'select',
			'email'		=> 'none'
		);

		$this->config_module = array(
			'config' => 1 //файл настроек модуля
		);
		
		$this->language_names = array(
			'subject'
		);
	}
}