<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Subscribtion_install
 *
 * Установка модуля "Рассылка"
 */

$title = "Рассылки";

$sql = array(
	"CREATE TABLE {subscribtion} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		`created` INT(12) UNSIGNED NOT NULL DEFAULT '0',
		`send` CHAR(1) NOT NULL DEFAULT '0',
		`cat_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		".multilang("`nameLANG` VARCHAR(250) NOT NULL DEFAULT '',")."
		".multilang("`textLANG` text NOT NULL DEFAULT '',")."
		`trash` CHAR(1) NOT NULL DEFAULT '0',
		PRIMARY KEY  (`id`),
		KEY cat_id (`cat_id`)
	) CHARSET=utf8",

	"CREATE TABLE {subscribtion_category} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		".multilang("`nameLANG` VARCHAR(250) NOT NULL DEFAULT '',")."
		`act` CHAR(1) NOT NULL DEFAULT '0',
		`sort` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		".multilang("`textLANG` text NOT NULL DEFAULT '',")."
		`parent_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`count_children` TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
		`trash` CHAR(1) NOT NULL DEFAULT '0',
		PRIMARY KEY  (`id`),
		KEY parent_id (`parent_id`)
	) CHARSET=utf8",

	"CREATE TABLE {subscribtion_category_parents} (
		`id` INT( 11 ) UNSIGNED NOT NULL AUTO_INCREMENT,
		`element_id` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
		`parent_id` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
		`trash` ENUM( '0', '1' ) NOT NULL DEFAULT '0',
		PRIMARY KEY (`id`)
	) CHARSET=utf8",

	"CREATE TABLE {subscribtion_category_rel} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		`element_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`cat_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		PRIMARY KEY (`id`),
		KEY cat_id (`cat_id`)
	) CHARSET=utf8",

	"INSERT INTO {adminsite} (id, group_id, count_children, name, rewrite, text, act, numrow, sort) VALUES (
		25,
		'2',
		3,
		'Рассылки',
		'subscribtion',
		'<p>С помощью этого модуля производится массовая рассылка сообщений подписчикам сайта. Для удобства, рассылки можно группировать по темам. Рассылка может занять продолжительное время. После запуска рассылки не закрывайте окно браузера до завершения процесса, в конце которого вы увидите информационное сообщение.<br />\r\n<a href=\"base_path/subscribtion/config/\">Настройки модуля &quot;Рассылки&quot;</a>.</p>\r\n<p><a target=\"_blank\" href=\"http://cms.diafan.ru/dokument/\">Полная документация и помощь</a></p>',
		'1',
		347,
		37
	);",

	"INSERT INTO {adminsite} (`id`, `parent_id`, `group_id`, `name`, `rewrite`, `text`, `act`, `numrow`, `sort`) VALUES (
		58,
		25,
		'1',
		'Рассылки',
		'subscribtion',
		'<p>С помощью этого модуля производится массовая рассылка сообщений подписчикам сайта. Для удобства, рассылки можно группировать по темам. Рассылка может занять продолжительное время. После запуска рассылки не закрывайте окно браузера до завершения процесса, в конце которого вы увидите информационное сообщение.<br />\r\n<a href=\"base_path/subscribtion/config/\">Настройки модуля &quot;Рассылки&quot;</a>.</p>\r\n<p><a target=\"_blank\" href=\"http://cms.diafan.ru/dokument/\">Полная документация и помощь</a></p>',
		'1',
		5,
		25
	);",

	"INSERT INTO {adminsite_parents} (`element_id`, `parent_id`) VALUES (58, 25)",

	"INSERT INTO {adminsite} (`id`, `parent_id`, `group_id`, `name`, `rewrite`, `text`, `act`, `numrow`, `sort`) VALUES (
		26,
		25,
		'2',
		'Категории',
		'subscribtion/category',
		'<p><a target=\"_blank\" href=\"http://cms.diafan.ru/dokument/\">Полная документация и помощь</a></p>',
		'1',
		2355,
		26
	);",

	"INSERT INTO {adminsite_parents} (`element_id`, `parent_id`) VALUES (26, 25)",

	"INSERT INTO {adminsite} (`id`, `parent_id`, `group_id`, `name`, `rewrite`, `text`, `numrow`, `sort`) VALUES (
		27,
		25,
		'2',
		'Настройки',
		'subscribtion/config',
		'<p><a target=\"_blank\" href=\"http://cms.diafan.ru/dokument/\">Полная документация и помощь</a></p>',
		83,
		27
	);",

	"INSERT INTO {adminsite_parents} (`element_id`, `parent_id`) VALUES (27, 25)",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('subscribtion', 'cat', '1')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('subscribtion', 'subject', 'Рассылка сайта %%title (%%url). %%subject')",

	"INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES ('subscribtion', 'subject', 'Subscription of web site %%title (%%url). %%subject', 2)"
);

$example = array(
	"INSERT INTO {subscribtion_category} (id, ".multilang("nameLANG,")." act, sort) VALUES (
		1,
		".multilang("'Новости сайта',", "'News of site',", "'',")."
		'1',
		1
	);",

	"INSERT INTO {subscribtion_category} (id, ".multilang("nameLANG,")." act, sort) VALUES (
		2,
		".multilang("'Новые поступления',", "'New goods',", "'',")."
		'1',
		2
	);",

	"INSERT INTO {subscribtion_category} (id, ".multilang("nameLANG,")." act, sort, count_children) VALUES (
		3,
		".multilang("'для СМИ',", "'For mass medium',", "'',")."
		'1',
		3,
		2
	);",

	"INSERT INTO {subscribtion_category} (id, ".multilang("nameLANG,")." act, sort, parent_id) VALUES (
		4,
		".multilang("'Газеты',", "'Newspapers',", "'',")."
		'1',
		4,
		3
	);",

	"INSERT INTO {subscribtion_parents} (`element_id`, `parent_id`) VALUES (4, 3)",

	"INSERT INTO {subscribtion_category} (id, ".multilang("nameLANG,")." act, sort, parent_id) VALUES (
		5,
		".multilang("'ТВ',", "'TV',", "'',")."
		'1',
		5,
		3
	);",

	"INSERT INTO {subscribtion_parents} (`element_id`, `parent_id`) VALUES (5, 3)"
);

function module_basic_uninstall_subscribtion()
{
	$module = 'subscribtion';
	DB::query("DROP TABLE {".$module."};");
	DB::query("DROP TABLE {".$module."_category};");
	DB::query("DROP TABLE {".$module."_category_parents};");
	DB::query("DROP TABLE {".$module."_category_rel};");
	$admin_ids = DB::query_result("SELECT GROUP_CONCAT(id SEPARATOR ',') FROM {adminsite} WHERE rewrite IN ('".$module."', '".$module."/config', '".$module."/canegory')");
	if ($admin_ids)
	{
		DB::query("DELETE FROM {adminsite} WHERE id IN (".$admin_ids.")");
		DB::query("DELETE FROM {adminsite_parents} WHERE element_id IN (".$admin_ids.")");
	}
	DB::query("DELETE FROM {config} WHERE module_name='".$module."';");
	$trash_ids = DB::query_result("SELECT GROUP_CONCAT(id SEPARATOR ',') FROM {trash} WHERE module_name='".$module."'");
	if ($trash_ids)
	{
		DB::query("DELETE FROM {trash} WHERE id IN (".$trash_ids.")");
		$trash_child_ids = DB::query_result("SELECT GROUP_CONCAT(element_id SEPARATOR ',') FROM {trash_parents} WHERE parent_id IN (".$trash_ids.")");
		if ($trash_child_ids)
		{
			DB::query("DELETE FROM {trash_parents} WHERE element_id IN (".$trash_child_ids.")");
		}
		DB::query("DELETE FROM {trash_parents} WHERE element_id IN (".$trash_ids.")");
	}
}