<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Tags_admin_edit
 * 
 * Редактирование полей, связанных с работой модуля "Теги"
 */
class Tags_admin_edit
{
	/**
	 * Редактирование поля "Теги"
	 * 
	 * @return boolean
	 */
	public static function edit($th)
	{
		if (! $th->diafan->configmodules("tags") || $th->config_module['category'])
		{
			return FALSE;
		}
		include_once(ABSOLUTE_PATH.'modules/tags/admin/tags.admin.view.php');

		echo '
		<script type="text/javascript" src="'.BASE_PATH.'modules/tags/admin/tags.admin.js"></script>

		<tr'.$th->get_other().' valign="top">
			<td class="td_first">'._LANG_TAGS.'</td>
			<td>
				<div class="tags_search"></div>
				<input type="text" name="tag" size="40" autocomplete="off">
				<input type="button" value="'._ADMIN_TAGS_ADD_TAG.'" class="tags_upload">
				<a href="javascript:void(0)" class="tags_cloud" element_id="'.$th->diafan->edit.'">'._ADMIN_CLOUD_TAGS.'</a>
				<div class="tags_container">'.Tags_admin_view::show($th, $th->diafan->edit).'</div>';

				echo $th->show_help_row().'
				<div class="errors error_tags"></div>
			</td>
		</tr>';
		return TRUE;
	}

	/**
	 * Редактирование поля "Подключить теги" для конфигурации модуля
	 * 
	 * @return boolean true
	 */
	public static function edit_config($th)
	{
		$com = DB::query_result("SELECT COUNT(id) FROM {adminsite} WHERE act='1' AND rewrite='tags'");

		echo '
		<tr'.$th->get_other().'>
			<td class="td_first">'.$th->variable_names().'</td>
			<td>
				<input type="checkbox" name="'.$th->key.'"'
				.($com ? ' value="1"' : ' value="0" onclick="javascript:alert(\''._ADMIN_NO_TAGS_CONFIG.'\');return false;"')
				.($th->value == 1 && $com ? " checked" : '')
				.'>'
				.$th->show_help_row().'
			</td>
		</tr>';
		return TRUE;
	}
}